Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldConstraintIndices

Get the field dof numbers, in [0, fdof), which are constrained

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldConstraintIndices(PetscSection s, PetscInt point, PetscInt field, const PetscInt **indices)

Not Collective

## Input Parameters

- s - The `PetscSection`

- field - The field number

- point - The point

## Output Parameter

- indices - The constrained dofs sorted in ascending order

## Note

The indices array, which is provided by the caller, must have capacity to hold the number of constrained dofs, e.g., as returned by `PetscSectionGetConstraintDof()`.

## Fortran Notes

Use `PetscSectionGetFieldConstraintIndicesF90()` and `PetscSectionRestoreFieldConstraintIndicesF90()`

## See Also

PetscSection, `PetscSectionSetFieldConstraintIndices()`, `PetscSectionGetConstraintIndices()`, `PetscSectionGetConstraintDof()`, `PetscSection`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages